summary.echosounder {oce} | R Documentation

## Summarize an echosounder object

### Description

Summarizes some of the data in an `echosounder` object.

### Usage

    ## S4 method for signature 'echosounder'
    summary(object, ...)

### Arguments

`object` | an object of class `"echosounder"`, usually, a result of a call to `read.echosounder`, `read.oce`, or `as.echosounder`.
`...` | further arguments passed to or from other methods.

### Details

Pertinent summary information is presented, including the sampling location, data ranges, etc.

### Value

A matrix containing statistics of the elements of the `data` slot.

### Author(s)

Dan Kelley

### See Also

The documentation for `echosounder-class` explains the structure of echosounder objects, and also outlines the other functions dealing with them.

### Examples

    library(oce)
    data(echosounder)
    summary(echosounder)

[Package oce version 0.9-18 Index]